from typing import List, Dict


def retrieve_nets_from_data_dict(data_dict: Dict,
                                 nets_by_sta: Dict[str, List[str]]) -> None:
    """
    Retrieve nets by sta_id from the given data_dict.

    :param data_dict: dict of data by station
    :param nets_by_sta: nets list by sta_id
    """
    for sta_id in data_dict.keys():
        if sta_id not in nets_by_sta:
            nets_by_sta[sta_id] = set()
        for c in data_dict[sta_id]:
            nets_by_sta[sta_id].update(
                data_dict[sta_id][c]['nets'])
